Re: [code] Re: [textadept] ScintillaTerm.cxx compile error

From: Mitchell <m.att.foicica.com>
Date: Tue, 24 Dec 2013 21:59:03 -0500 (EST)

Hi,

On Tue, 24 Dec 2013, Parke wrote:

> [snip]
>
> Mitchell wrote:
>> Which version are you trying to compile? 7.0? 7.1? From hg?
>
> Version 7.1, from the Linux i386 tarball. make clean, make deps,
> make, make curses.
>
> I will try Mitchell's suggestions for an alternative ScintilleTerm.cxx
> file and report back. Would you recommend I use the Hg version
> instead of 7.1? (I generally try to start with the most recent
> stable/released version.)

I would not recommend you use Textadept hg for stability reasons. 7.1 is
recommended.

>> I'm pretty sure the problem stems from Textadept's makefile trying
>> to pull Scinterm hg, which is now out of sync with 7.0 and 7.1 due
>> to the Scintilla update to 3.3.7. Sorry for the inconvenience.
>
> Perhaps in future releases of TextAdept, the build framework should be
> updated to pull fixed versions of dependencies out of Hg.

Yes, you are correct. I should do this.

Cheers,
Mitchell

-- 
You are subscribed to code.att.foicica.com.
To change subscription settings, send an e-mail to code+help.att.foicica.com.
To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
Received on Tue 24 Dec 2013 - 21:59:03 EST

This archive was generated by hypermail 2.2.0 : Wed 25 Dec 2013 - 06:49:21 EST